# ---------- DrehzahlZweiD.py ---------------------------------------- 18.01.10    

from FishFaTX import *

tx = FishFace()
ImpulseUmdrehung = 6
Untersetzung     = 2
Messdauer        = 15
FullPower        = 512
Master           = 0
Lampe            = 3
Photo            = 1
Motor            = 1
      
tx.OpenController(4)
tx.SetLamp(Master, Lampe, FullPower)
tx.ClearCounter(Master, Photo)
tx.SetMotor(Master, Motor, tx.Ein)

for i in range(1, Messdauer+1, 1):
  tx.Pause(1000)
  print("Counter : ", i, "sec : ", tx.GetCounter(Master, Photo))

tx.SetMotor(Master, Motor, tx.Aus)
tx.SetLamp(Master, Lampe, tx.Aus)
Drehzahl = tx.GetCounter(Master, Photo) / (ImpulseUmdrehung / Untersetzung) * (60 / Messdauer)
print("Drehzahl : ", Drehzahl, " 1/min")

tx.CloseController()

