# ------ RadarTurm I8 auf Drehscheibe, Motor an M1, I1, C1   --------- 25.01.10
#        Rote Lampe an O3
from FishFaTX import *
tx           = FishFace()
cFull        = 512
mTurm        = 1
oLampe       = 3
cImpuls      = 1
iEndTaster   = 1
iDistance    = 8
SchrittWeite = 10
DistLimit    = 16

def Distance(Turn, Pos):
  Dist = tx.GetDistance(0, iDistance)
  if Dist < DistLimit: tx.SetLamp(0, oLampe, cFull)
  else: tx.SetLamp(0, oLampe, tx.Aus)
  print("Position : %4.0f Radarwert : %4.0f" % (Pos, Dist))
  tx.StartRobMotor(0, mTurm, Turn, cFull, SchrittWeite)
  tx.WaitForMotor(0, mTurm)
  
tx.OpenController(4)

tx.SetMotor(0, mTurm, tx.Links)
tx.WaitForInput(0, iEndTaster)
tx.SetMotor(0, mTurm, tx.Aus)

while not tx.Finish():
  for i in range(0, 101, SchrittWeite):   Distance(tx.Rechts, i)
  for i in range(100, -1, -SchrittWeite): Distance(tx.Links, i)

tx.CloseController()
print("--- FINIS ---")    
