# ------ RadarTurm I8 auf Drehscheibe, Motor an M1, I1, C1   --------- 25.01.10
from FishFaTX import *
tx        = FishFace()
Full      = 512
Turm      = 1
Impuls    = 1
EndTaster = 1
Distance  = 8

tx.OpenController(4)

tx.SetMotor(0, Turm, tx.Links)
tx.WaitForInput(0, EndTaster)
tx.SetMotor(0, Turm, tx.Aus)

inc = 10
while not tx.Finish():
  for i in range(0, 101, inc):
    print("Position : %4.0f Radarwert : %4.0f" %
          (i, tx.GetDistance(0, Distance)))
    tx.StartRobMotor(0, Turm, tx.Rechts, Full, inc)
    tx.WaitForMotor(0, Turm)
  for i in range(90, 0, -inc):
    tx.StartRobMotor(0, Turm, tx.Links, Full, inc)
    tx.WaitForMotor(0, Turm)
    print("Position : %4.0f Radarwert : %4.0f" %
          (i, tx.GetDistance(0, Distance)))

tx.CloseController()
print("--- FINIS ---")    
